AuPauseFlow(3)

Name
AuPauseFlow - pause a flow.

Synopsis
#include <audio/audiolib.h>

void AuPauseFlow(server, flow, status)
    AuServer *server;
    AuFlowID flow;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

flow
    Specifies the ID of the flow to pause.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuPauseFlow pauses flow. All of the elements in flow will have their state set to AuStatePause.

Errors
AuBadFlow.

See Also
AuStartFlow, AuStopFlow.

audiolib - Network Audio System C Language Interface